List catalogs
curl --request GET \
--url https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/catalogs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/catalogs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/catalogs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"catalogs": [
{
"catalogId": "<string>",
"platformId": "<string>",
"name": "<string>",
"url": "<string>",
"itemCount": 4503599627370495,
"latestVersionId": "<string>",
"latestVersionNumber": 4503599627370496,
"latestContentHash": "<string>",
"activeTransformId": "<string>",
"latestActivationPlanId": "<string>",
"lastChangeSummary": {
"added": 0,
"updated": 0,
"unchanged": 0,
"removed": 0
},
"lastSyncAttemptAt": "2023-11-07T05:31:56Z",
"lastSyncedAt": "2023-11-07T05:31:56Z",
"nextSyncAt": "2023-11-07T05:31:56Z",
"staleAfterAt": "2023-11-07T05:31:56Z",
"versions": [
{
"versionId": "<string>",
"versionNumber": 4503599627370496,
"itemCount": 4503599627370495,
"contentHash": "<string>",
"changeSummary": {
"added": 0,
"updated": 0,
"unchanged": 0,
"removed": 0
},
"createdAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}
],
"recentRefreshRuns": [
{
"refreshRunId": "<string>",
"httpStatus": 0,
"itemCount": 4503599627370495,
"activationSkippedReason": "<string>",
"error": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}
],
"recentActivationExecutions": [
{
"executionId": "<string>",
"planId": "<string>",
"catalogVersionId": "<string>",
"campaignGroupCount": 4503599627370495,
"creativeAssetCount": 4503599627370495,
"syndicationTargetCount": 4503599627370495,
"error": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}
],
"advertiserId": "<string>"
}
],
"total": 4503599627370495
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Advertisers
List catalogs
List catalogs that have been synced for an advertiser.
GET
/
advertisers
/
{advertiserId}
/
catalogs
List catalogs
curl --request GET \
--url https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/catalogs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/catalogs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/catalogs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"catalogs": [
{
"catalogId": "<string>",
"platformId": "<string>",
"name": "<string>",
"url": "<string>",
"itemCount": 4503599627370495,
"latestVersionId": "<string>",
"latestVersionNumber": 4503599627370496,
"latestContentHash": "<string>",
"activeTransformId": "<string>",
"latestActivationPlanId": "<string>",
"lastChangeSummary": {
"added": 0,
"updated": 0,
"unchanged": 0,
"removed": 0
},
"lastSyncAttemptAt": "2023-11-07T05:31:56Z",
"lastSyncedAt": "2023-11-07T05:31:56Z",
"nextSyncAt": "2023-11-07T05:31:56Z",
"staleAfterAt": "2023-11-07T05:31:56Z",
"versions": [
{
"versionId": "<string>",
"versionNumber": 4503599627370496,
"itemCount": 4503599627370495,
"contentHash": "<string>",
"changeSummary": {
"added": 0,
"updated": 0,
"unchanged": 0,
"removed": 0
},
"createdAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}
],
"recentRefreshRuns": [
{
"refreshRunId": "<string>",
"httpStatus": 0,
"itemCount": 4503599627370495,
"activationSkippedReason": "<string>",
"error": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}
],
"recentActivationExecutions": [
{
"executionId": "<string>",
"planId": "<string>",
"catalogVersionId": "<string>",
"campaignGroupCount": 4503599627370495,
"creativeAssetCount": 4503599627370495,
"syndicationTargetCount": 4503599627370495,
"error": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}
],
"advertiserId": "<string>"
}
],
"total": 4503599627370495
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
Unique identifier for the advertiser
Minimum string length:
1Example:
"12345"
Query Parameters
Available options:
offering, product, inventory, store, promotion, hotel, flight, job, vehicle, real_estate, education, destination, app Number of results to return (max 250)
Required range:
1 <= x <= 250Example:
50
Number of results to skip for pagination
Required range:
0 <= x <= 9007199254740991Example:
0
⌘I